MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026275Open CASCADE[OCCT] OCCT:Visualizationpublic2015-05-27 14:102015-10-23 20:51
Reporteromy 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026275: Visualization, TKOpenGl - add public constructor for OpenGl_ShaderProgram
DescriptionIt is necessary to add public constructor for OpenGl_ShaderProgram class to use it separately from OpenGl_ShaderManager (e.g. to replace QOpenGLShaderProgram).
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024192closedabv Adding support for shaders to OCCT visualization toolkit 

-  Notes
(0041630)
omy (developer)
2015-05-28 10:21

Dear Kirill,

Please, verify the changes made by branch CR26275.
(0041631)
git (administrator)
2015-05-28 10:21

Branch CR26275 has been created by omy.

SHA-1: dc05eaebda6b272f12abdcd9c1aca6325e6caff4


Detailed log of new commits:

Author: omy
Date: Thu May 28 10:19:22 2015 +0300

    0026275: Visualization, TKOpenGl - add public constructor for OpenGl_ShaderProgram
    
    Made default constructor public, not protected.
    It is useful when OpenGl_ShaderProgram is used separately from OpenGl_ShaderManager (an alternative to QOpenGLShaderProgram).
(0041635)
git (administrator)
2015-05-28 11:16

Branch CR26275 has been updated by kgv.

SHA-1: 9842b22a76179aa0fcb4c5d3d3975138ba81ed6e


Detailed log of new commits:

Author: kgv
Date: Thu May 28 11:16:48 2015 +0300

    Extend OpenGl_ShaderProgram constructor description

(0041636)
git (administrator)
2015-05-28 11:19

Branch CR26275_1 has been created by kgv.

SHA-1: f02061114b593eb10cc6c84fb6de294ca30a93ff


Detailed log of new commits:

Author: omy
Date: Thu May 28 11:18:40 2015 +0300

    0026275: Visualization, TKOpenGl - add public constructor for OpenGl_ShaderProgram
(0041637)
kgv (developer)
2015-05-28 11:20

Please check compilation of the branch CR26275_1, regression testing is not needed.
(0041684)
git (administrator)
2015-05-28 18:17

Branch CR26275_1 has been updated forcibly by mkv.

SHA-1: 898164038f86f3cf003b6c0e11793f7cb2baea9c
(0041728)
mkv (tester)
2015-05-29 14:57

Dear BugMaster,
Branch CR26275_1 was rebased on IR-2015-05-28 branch of occt git-repository.
SHA-1: 898164038f86f3cf003b6c0e11793f7cb2baea9c
(0041729)
mkv (tester)
2015-05-29 14:57

Dear BugMaster,
Branch CR26275_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 898164038f86f3cf003b6c0e11793f7cb2baea9c

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)
(0043505)
git (administrator)
2015-07-27 13:34

Branch CR26275 has been deleted by kgv.

SHA-1: 9842b22a76179aa0fcb4c5d3d3975138ba81ed6e
(0043506)
git (administrator)
2015-07-27 13:34

Branch CR26275_1 has been deleted by kgv.

SHA-1: 898164038f86f3cf003b6c0e11793f7cb2baea9c

- Related Changesets
occt: master 5440a790
Timestamp: 2015-05-28 08:18:40
Author: omy
Committer: bugmaster
Details ] Diff ]
0026275: Visualization, TKOpenGl - add public constructor for OpenGl_ShaderProgram
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-27 14:10 omy New Issue
2015-05-27 14:10 omy Assigned To => kgv
2015-05-28 10:13 kgv Severity minor => integration request
2015-05-28 10:13 kgv Summary Add public constructor for OpenGl_ShaderProgram => Visualization, TKOpenGl - add public constructor for OpenGl_ShaderProgram
2015-05-28 10:21 omy Note Added: 0041630
2015-05-28 10:21 omy Status new => resolved
2015-05-28 10:21 omy Steps to Reproduce Updated View Revisions
2015-05-28 10:21 git Note Added: 0041631
2015-05-28 11:16 git Note Added: 0041635
2015-05-28 11:19 git Note Added: 0041636
2015-05-28 11:20 kgv Note Added: 0041637
2015-05-28 11:20 kgv Assigned To kgv => bugmaster
2015-05-28 11:20 kgv Status resolved => reviewed
2015-05-28 18:17 git Note Added: 0041684
2015-05-28 18:36 mkv Assigned To bugmaster => mkv
2015-05-29 12:16 kgv Relationship added related to 0024192
2015-05-29 14:57 mkv Note Added: 0041728
2015-05-29 14:57 mkv Note Added: 0041729
2015-05-29 14:57 mkv Assigned To mkv => bugmaster
2015-05-29 14:57 mkv Status reviewed => tested
2015-05-29 14:58 mkv Test case number => Not needed
2015-06-05 15:00 bugmaster Changeset attached => occt master 5440a790
2015-06-05 15:00 bugmaster Status tested => verified
2015-06-05 15:00 bugmaster Resolution open => fixed
2015-07-27 13:34 git Note Added: 0043505
2015-07-27 13:34 git Note Added: 0043506
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker